# un # pour un titre

## 1. les headers 

Ils s'écrivent de 2# à 4# 

le 5# peut servir de footnote

### plus petit
#### encore plus petit
##### un footnote avec 5#


## 2. paragraphes et saut de lignes
Voila du texte normal
et même si on saute une ligne ici, le texte continue sur la même ligne dans le même paragraphe...

Pour créer un nouveau paragraphe on laisse une ligne vide.

Pour passer à la ligne dans un paragraphe on utilise la balise```<br>``` <br>
et la c'est bien la deuxième ligne  du même paragraphe <br> et là la troisième ligne.

## 3. gras - italique et autre se trouvant dans la top barre
on peut écrire en __gras__

on peut écrire en <em> italique </em>

on peut écrire en <u> souligné </u>

on peut écrire en ~texte barré~

on peut écrire en <mark> surligné jaune (seule couleur disponible) </mark>

#center
on peut centrer un paragraphe comme ceci<br>

#beginCol

#col*25
on peut taper du texte sur plusieurs colonnes et modifier le pourcentage à notre guise

#col*50
on peut y mettre des images (voir chapitre 10.)
![Alias](graphe_1.png*50%)

#col*50#center
On peut centrer les colonnes individuellement, et il n'y a pas de limites au nombre de colonnes tant que vous pensez que c'est lisible

#endCol

## 4. ligne horizontale
on colle 3 _ _ _ pour tracer une ligne horizontale
___

## 5. créer des listes
On peut faire des listes ordonnées
1. item 1
2. item 2

et non ordonnées
- item a
- item b
	- item b.a   
- item c

et aussi des listes de taches cliquables
1. [x] Apprendre son cours
2. [ ] faire ses exercices
3. [ ] Reprendre à la tâche 1

__Attention__ : une liste dans une structure de colonnes comptera comme une colonne à par entière 
et sans possibilité de bloquer sa taille, ce qui peut causer des problèmes

## 6. forcer nouvelle page
la balise #newpage en debut de ligne et seule sur sa ligne force une nouvelle page dans le pdf

#newpage

## 7. taper du code
Pour taper du code Python en mode bloc :
```python
x = 3
for i in range(10):
  print(i)
```
ou bien comme ceci mais on perd la coloration syntaxique :
```
x = 3
for i in range(10):
  print(i)
```
On peut aussi en ecrire en ligne comme ceci : `x = 3` et la boite grise n'apparait pas.

## 8. Blockquote

> Rendu sympa pour des définitions ou des théorèmes <br>
> que l'on peut mettre sur plusieurs lignes en rajoutant evidement la balise`<br>` pour rester dans le même paragraphe
>> on peut même insérer un blockquote dans un autre
>>> et enchainer



## 9. LATEX
Pour taper des maths en ligne $ \forall x \in \R , \dfrac{x+y}{2}$

Pour taper des maths en bloc :
$$ \dfrac{x+y}{2}$$

En plus de tout le latex classique les racourcis 
pour les ensembles $ \C , \R ,\Q ,\D, \Z, \N $ sont intégrés de base.







## 10. images
Pour insérer une image on a trois possibilités :
- on peut aller dans fichier > charger une image

elle s'affichera comme ceci et les dimensions sont gérées automatiquement :
![Alias](graphe_1.png)

- on peut rajouter une option de taille  de la forme "*widthpx*heightpx"

L'image pourra être déformée par rapport à ses dimensions d'origine.
![Alias](graphe_1.png*300px*100px)

    
- ou alors rajouter une option "*scale%"

`scale` correspondant alors au pourcentage de la largeur de la feuille, 
et dans ce cas l'image garde ses proportions d'origine.	
![Alias](graphe_1.png*20%)

## 11. Le menu édition

Dans le menu __édition__ il y a plein de trucs sympas par exemple des squelettes pour des tableaux de variations

|#tsv$x$|$-\infty$|       |$a$  |      |$+\infty$|
|:-----:|:-------:|:-----:|:---:|:----:|:-------:|
|$f'(x)$|         |  $-$  |  0  | $+$  |         |  
|       |   $A$   |       |     |      |   $B$   |
|$f(x)$ |         |$\down$|     | $\up$|         |
|       |         |       | $C$ |      |         |

ou encore des systèmes, mais il faut penser à rajouter les `$$`:

$\left \\{ 
 \begin{array}{rcl} 
 ax + by +cz & = & d \\\ 
 a'x + b'y +c'z & = & d' \\\ 
 a''x + b''y +c''z & = & d'' 
 \end{array} 
 \right .$

## 11. Editeur de géométrie
L'éditeur de géométrie ressemble à Géogébra dans le concept, mais 
n'a absolument pas l'intention de le remplacer ni de l'égaler. 
L'idée est plutôt d'avoir à porté de main un éditeur sommaire de 
géométrie basique : points, segments, droites, cercles, ainsi qu'un 
éditeur de courbes.

Dans cet éditeur vous pouvez :
- charger/sauvegarder un dessin géométrique déjà créé ( au format `.geom` )
- exporter un dessin géométrique  au format `.png` ou directement dans le dossier principal 

## 12. Editeur de graphe

Dans l'éditeur de graphe vous pouvez :
- charger /sauvegarder un graphe déjà créé ( au format `.gf` )
- exporter un graphe au format `.png` ou directement dans le dossier principal
- un bouton permet de transformer votre graphe en graphe simple ou orienté
- le bouton "RESSORT" a deux utilités
	- réajuster les longueurs des arretes si vous le souhaiter
    - si par hasard vous "avalez un sommet en déplacant un autre , le mode ressort les séparera.


Pour créer un graphe la plupart des manipulations se font à l'aide de la trouche `CTRL` et de la souris.

|#tbv CTRL+clicgauche |CTRL+clicgauche |CTRL+clicgauche |clic gauche |clicdroit|
|:-----|:----:|:-----:|:-----:|:-----:|
|dans le vide|sur un noeud|sur un deuxième noeud|sur un noeud|noeud ou arrete|
|crée un noeud |sélectionne le noeud |crée une arrete |déplace le noeud|options|

On peut ensuite le sauvegarder en __.gf__ , l'exporter en __.png__ ou directement 
dans le markdown

